zookeeper-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Enrico Olivelli <eolive...@gmail.com>
Subject Re: Issues with using ZooKeeper 3.5.5 together with Solr 8.2.0
Date Tue, 30 Jul 2019 05:45:45 GMT
Due to potential security risks since ZK 3.5 you have to explicitly
whitelist some commands.
I think you should contact SolrCloud

I hope that helps
Enrico

Il mar 30 lug 2019, 04:08 Zheng Lin Edwin Yeo <edwinyeozl@gmail.com> ha
scritto:

> Hi,
>
> I am using the new Solr 8.2.0 with SolrCloud and external ZooKeeper 3.5.5.
>
> However, after adding in the line under zoo.cfg
> *4lw.commands.whitelist=**
>
> I get the error under Cloud -> ZK Status in Solr
> *"Errors: - membership: Check 4lq.commands.whitelist setting in zookeeper
> configuration file."*
>
> I have noticed that the issue is cause by adding the "conf" in the
> whitelist. But if I do not add the "conf" to the whitelist, I will get the
> following error:
> *"Errors: - conf is not executed because it is not in the whitelist. Check
> 4lw.commands.whitelist setting in zookeeper configuration file."*
>
> What could be the issue that cause this error, and how can we resolve it?
>
> Thank you.
>
> Regards,
> Edwin
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message